al_ref_buffer(3)

NAME

al_ref_buffer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const ALLEGRO_USTR *al_ref_buffer(ALLEGRO_USTR_INFO *info, const char *s, size_t size)

DESCRIPTION

Create a string that references the storage of an underlying buffer. The size of the buffer is given in bytes. You can use it to reference only part of a string or an arbitrary region of memory.

The string is valid while the underlying memory buffer is valid.

SEE ALSO

al_ref_cstr(3), al_ref_ustr(3)